function FullModel(k, kbacklog, gIF, backlog, lastdayused, modelbackstart, time, color, startC)
% Full model run, single plot per country
countrylist=GetCoronaCountryList;  % get all countries 
%
H0fact=1
for i=1:length(countrylist) % run over countries
    country=char(countrylist(i)) % get country from list
    params=getCoronaParameters(country); % and its parameters
    if time==0
        timespan=params(4);
    else
        timespan=time;
    end
    %         if i~=1
    %             continue
    %         end
    figure
    [S, M, H, C, I, R, D, tmod, Smod, Mmod, Hmod, Cmod, Imod, Rmod, Dmod, HCmod, fixR]=...
        myEstimator(country, k, kbacklog, modelbackstart, gIF, backlog, timespan, lastdayused, H0fact, startC);
    
    modelstart=lastdayused-modelbackstart
    modspace=10
    divisor=15
    plotfullmodeldata(S, M, H, C, I, R, D, tmod, Smod, Mmod, Hmod, Cmod, Imod, Rmod, Dmod, HCmod,...
        modelstart, modspace, timespan, divisor, country, color,'full')
    % legend('I','C','R','D','M','H','S',-1)
    %     title(sprintf('Prediction for %s from day %d, Full model R_0= %5.2f ',country, modelstart,...
    %         fixR))
    disp(sprintf('Plot for %s from day %d, Full model R_0= %5.2f ',country, modelstart, fixR))
    disp('Hit Enter to continue')
    pause
    h=gca;
    set(h,'FontSize',15)
    
    hold on
    % pause
end







