function FullModelMultiple(k, kbacklog, gIF, backlog, lastdayused, modelbackstart, time, numruns, backdays,color, startC)
% Basic display of data, but with SMH model
countrylist=GetCoronaCountryList;
H0fact=1;
%
for i=1:length(countrylist)
    country=char(countrylist(i))
    params=getCoronaParameters(country);
    if time==0
        timespan=params(4);
    else
        timespan=time;
    end
    figure
    locmodelbackstart=0;
    for j=1:numruns
        %         if i~=1
        %             continue
        %         end
        
        [S, M, H, C, I, R, D, tmod, Smod, Mmod, Hmod, Cmod, Imod, Rmod, Dmod, HCmod, fixR]=...
            myEstimator(country, k, kbacklog, locmodelbackstart, gIF, backlog, timespan, lastdayused,H0fact,startC);
        
        modelstart=lastdayused-locmodelbackstart
        modspace=10
        divisor=15
        plotfullmodeldata(S, M, H, C, I, R, D, tmod, Smod, Mmod, Hmod, Cmod, Imod, Rmod, Dmod, HCmod,...
            modelstart, modspace, timespan, divisor, country, color, 'thin')
        
        
        
        
        
        % myEstimator(country, k, locmodelbackstart, gIF, backlog, timespan, lastdayused);
        hold on
        locmodelbackstart=locmodelbackstart+backdays;
        
    end
    disp(sprintf('Plot is for %s backwards from day %d ',country, lastdayused))
    % title(sprintf('Predictions for %s backwards from day %d ',country, lastdayused))
    disp('Hit Enter to continue')
    pause
    
end
