function FullModelH0Var(k, kbacklog, gIF, backlog, lastdayused, modelbackstart, time, mult, color, startC)
% Basic display of data, but with SMH model
countrylist=GetCoronaCountryList;
%
for i=1:length(countrylist)
    country=char(countrylist(i))
    params=getCoronaParameters(country);
    if time==0
        timespan=params(4);
    else
        timespan=time;
    end
    figure
    locmult=mult;
    while locmult>1/mult
        %         if i~=1
        %             continue
        %         end
        
        [S, M, H, C, I, R, D, tmod, Smod, Mmod, Hmod, Cmod, Imod, Rmod, Dmod, HCmod, fixR]=...
            myEstimator(country, k, kbacklog, modelbackstart, gIF, backlog, timespan, lastdayused,locmult,startC);
        modelstart=lastdayused-modelbackstart;
        modspace=10;
        divisor=15;
        plotfullmodeldata(S, M, H, C, I, R, D, tmod, Smod, Mmod, Hmod, Cmod, Imod, Rmod, Dmod, HCmod,...
            modelstart, modspace, timespan, divisor, country, color, 'full')
        
        
        % legend('I','C','R','D','M','H','S',-1)
        % title(sprintf('Prediction for %s from day %d ',country, modelstart))
        hold on
        
        
        
        % myEstimator(country, k, locmodelbackstart, gIF, backlog, timespan, lastdayused);
        hold on
        locmult=locmult/2;
    end
    % title(sprintf('Predictions for %s backwards from day %d ',country, lastdayused))
    disp(sprintf('Plot is for %s backwards from day %d ',country, lastdayused))
    disp('Hit Enter to continue')
    pause
end
