function val=backestimate(x, backlog)
% estimates a constant value from a time series (t,x)
% using the last backlog+1 values.
% Prepared for weighting, thus not taking a simple mean.
Lt=length(x);
ti=(Lt-backlog:Lt);
val=polyfit(ti',x(ti),0);
